Subject: bug#76107: Consider image specs when scanning for a column

From: Eli Zaretskii <[email-masked]>
Date: Fri, 14 Feb 2025 09:54:48 +0200

> From: Thuna <[email-masked]>
> Cc: [email-masked]
> Date: Thu, 13 Feb 2025 22:45:54 +0100
> 
> > Please tell me if you are or will be working on this, or you are
> > waiting for me to do it?  I'd like to avoid duplicate work.
> I am trying stuff, but the code looks roughly like what I sent before.
> It would probably be faster for you to do it.

OK, I will work on this.

> I have two main problems, in case these help in some way:
> 
> 1. When the current buffer isn't displayed in any window, you need
>   _something_ for `w', but I don't know what.  Maybe make a copy(?) of
>   the selected window and display the buffer there?  I don't see
>   anything that would achieve that in window.c, though.

The selected window (or the window in which the current buffer is
displayed, if any, as an optimization) should do, yes.

> 2. `gui_produce_glyphs' (which as I understand is a general version of
>    `produce_image_glyph') doesn't seem to be moving CHARPOS, and I don't
>    know how to recover that information from `it'.

Why do you need to move CHARPOS?  The character position should be set
to the beginning of the display property whose value is the image
spec, if the position at all matters.

Anyway, I will work on this soon.